API Documentation
Kuali Research REST APIs - IRB
Research Irb ¶
Committee Batch Correspondence Details ¶
Get Committee Batch Correspondence Details by KeyGET/irb/api/v1/committee-batch-correspondence-details/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"committeeBatchCorrespondenceDetailId": "(val)",
"committeeBatchCorrespondenceId": "(val)",
"protocolActionId": "(val)",
"protocolCorrespondenceId": "(val)",
"_primaryKey": "(val)"
}Get All Committee Batch Correspondence DetailsGET/irb/api/v1/committee-batch-correspondence-details/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"committeeBatchCorrespondenceDetailId": "(val)",
"committeeBatchCorrespondenceId": "(val)",
"protocolActionId": "(val)",
"protocolCorrespondenceId": "(val)",
"_primaryKey": "(val)"
},
{
"committeeBatchCorrespondenceDetailId": "(val)",
"committeeBatchCorrespondenceId": "(val)",
"protocolActionId": "(val)",
"protocolCorrespondenceId": "(val)",
"_primaryKey": "(val)"
}
]Get All Committee Batch Correspondence Details with FilteringGET/irb/api/v1/committee-batch-correspondence-details/
Example URI
- committeeBatchCorrespondenceDetailId
string(optional)Committee Batch Corresponcence Detail Id. Maximum length is 12.
- committeeBatchCorrespondenceId
string(optional)Committee Batch Correspondence Id. Maximum length is 10.
- protocolActionId
string(optional)Protocol Action Id. Maximum length is 12.
- protocolCorrespondenceId
string(optional)Protocol Correspondence Id. Maximum length is 12.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"committeeBatchCorrespondenceDetailId": "(val)",
"committeeBatchCorrespondenceId": "(val)",
"protocolActionId": "(val)",
"protocolCorrespondenceId": "(val)",
"_primaryKey": "(val)"
},
{
"committeeBatchCorrespondenceDetailId": "(val)",
"committeeBatchCorrespondenceId": "(val)",
"protocolActionId": "(val)",
"protocolCorrespondenceId": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Committee Batch Correspondence DetailsGET/irb/api/v1/committee-batch-correspondence-details/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"committeeBatchCorrespondenceDetailId",
"committeeBatchCorrespondenceId",
"protocolActionId",
"protocolCorrespondenceId"
],
"primaryKey": "committeeBatchCorrespondenceDetailId"
}Get Blueprint API specification for Committee Batch Correspondence DetailsGET/irb/api/v1/committee-batch-correspondence-details/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Committee Batch Correspondence Details.md"
transfer-encoding: chunkedUpdate Committee Batch Correspondence DetailsPUT/irb/api/v1/committee-batch-correspondence-details/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"committeeBatchCorrespondenceDetailId": "(val)",
"committeeBatchCorrespondenceId": "(val)",
"protocolActionId": "(val)",
"protocolCorrespondenceId": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Committee Batch Correspondence DetailsPUT/irb/api/v1/committee-batch-correspondence-details/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"committeeBatchCorrespondenceDetailId": "(val)",
"committeeBatchCorrespondenceId": "(val)",
"protocolActionId": "(val)",
"protocolCorrespondenceId": "(val)",
"_primaryKey": "(val)"
},
{
"committeeBatchCorrespondenceDetailId": "(val)",
"committeeBatchCorrespondenceId": "(val)",
"protocolActionId": "(val)",
"protocolCorrespondenceId": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Committee Batch Correspondence DetailsPATCH/irb/api/v1/committee-batch-correspondence-details/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"committeeBatchCorrespondenceDetailId": "(val)",
"committeeBatchCorrespondenceId": "(val)",
"protocolActionId": "(val)",
"protocolCorrespondenceId": "(val)",
"_primaryKey": "(val)"
}204Body
{
"committeeBatchCorrespondenceDetailId": "(val)",
"committeeBatchCorrespondenceId": "(val)",
"protocolActionId": "(val)",
"protocolCorrespondenceId": "(val)",
"_primaryKey": "(val)"
}Insert Committee Batch Correspondence DetailsPOST/irb/api/v1/committee-batch-correspondence-details/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"committeeBatchCorrespondenceDetailId": "(val)",
"committeeBatchCorrespondenceId": "(val)",
"protocolActionId": "(val)",
"protocolCorrespondenceId": "(val)",
"_primaryKey": "(val)"
}201Body
{
"committeeBatchCorrespondenceDetailId": "(val)",
"committeeBatchCorrespondenceId": "(val)",
"protocolActionId": "(val)",
"protocolCorrespondenceId": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Committee Batch Correspondence DetailsPOST/irb/api/v1/committee-batch-correspondence-details/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"committeeBatchCorrespondenceDetailId": "(val)",
"committeeBatchCorrespondenceId": "(val)",
"protocolActionId": "(val)",
"protocolCorrespondenceId": "(val)",
"_primaryKey": "(val)"
},
{
"committeeBatchCorrespondenceDetailId": "(val)",
"committeeBatchCorrespondenceId": "(val)",
"protocolActionId": "(val)",
"protocolCorrespondenceId": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"committeeBatchCorrespondenceDetailId": "(val)",
"committeeBatchCorrespondenceId": "(val)",
"protocolActionId": "(val)",
"protocolCorrespondenceId": "(val)",
"_primaryKey": "(val)"
},
{
"committeeBatchCorrespondenceDetailId": "(val)",
"committeeBatchCorrespondenceId": "(val)",
"protocolActionId": "(val)",
"protocolCorrespondenceId": "(val)",
"_primaryKey": "(val)"
}
]Delete Committee Batch Correspondence Details by KeyDELETE/irb/api/v1/committee-batch-correspondence-details/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Committee Batch Correspondence DetailsDELETE/irb/api/v1/committee-batch-correspondence-details/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Committee Batch Correspondence Details with MatchingDELETE/irb/api/v1/committee-batch-correspondence-details/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- committeeBatchCorrespondenceDetailId
string(optional)Committee Batch Corresponcence Detail Id. Maximum length is 12.
- committeeBatchCorrespondenceId
string(optional)Committee Batch Correspondence Id. Maximum length is 10.
- protocolActionId
string(optional)Protocol Action Id. Maximum length is 12.
- protocolCorrespondenceId
string(optional)Protocol Correspondence Id. Maximum length is 12.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Committee Batch Correspondences ¶
Get Committee Batch Correspondences by KeyGET/irb/api/v1/committee-batch-correspondences/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"committeeBatchCorrespondenceId": "(val)",
"committeeId": "(val)",
"batchCorrespondenceTypeCode": "(val)",
"batchRunDate": "(val)",
"timeWindowStart": "(val)",
"timeWindowEnd": "(val)",
"_primaryKey": "(val)"
}Get All Committee Batch CorrespondencesGET/irb/api/v1/committee-batch-correspondences/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"committeeBatchCorrespondenceId": "(val)",
"committeeId": "(val)",
"batchCorrespondenceTypeCode": "(val)",
"batchRunDate": "(val)",
"timeWindowStart": "(val)",
"timeWindowEnd": "(val)",
"_primaryKey": "(val)"
},
{
"committeeBatchCorrespondenceId": "(val)",
"committeeId": "(val)",
"batchCorrespondenceTypeCode": "(val)",
"batchRunDate": "(val)",
"timeWindowStart": "(val)",
"timeWindowEnd": "(val)",
"_primaryKey": "(val)"
}
]Get All Committee Batch Correspondences with FilteringGET/irb/api/v1/committee-batch-correspondences/
Example URI
- committeeBatchCorrespondenceId
string(optional)- committeeId
string(optional)- batchCorrespondenceTypeCode
string(optional)- batchRunDate
string(optional)- timeWindowStart
string(optional)- timeWindowEnd
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"committeeBatchCorrespondenceId": "(val)",
"committeeId": "(val)",
"batchCorrespondenceTypeCode": "(val)",
"batchRunDate": "(val)",
"timeWindowStart": "(val)",
"timeWindowEnd": "(val)",
"_primaryKey": "(val)"
},
{
"committeeBatchCorrespondenceId": "(val)",
"committeeId": "(val)",
"batchCorrespondenceTypeCode": "(val)",
"batchRunDate": "(val)",
"timeWindowStart": "(val)",
"timeWindowEnd": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Committee Batch CorrespondencesGET/irb/api/v1/committee-batch-correspondences/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"committeeBatchCorrespondenceId",
"committeeId",
"batchCorrespondenceTypeCode",
"batchRunDate",
"timeWindowStart",
"timeWindowEnd"
],
"primaryKey": "committeeBatchCorrespondenceId"
}Get Blueprint API specification for Committee Batch CorrespondencesGET/irb/api/v1/committee-batch-correspondences/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Committee Batch Correspondences.md"
transfer-encoding: chunkedUpdate Committee Batch CorrespondencesPUT/irb/api/v1/committee-batch-correspondences/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"committeeBatchCorrespondenceId": "(val)",
"committeeId": "(val)",
"batchCorrespondenceTypeCode": "(val)",
"batchRunDate": "(val)",
"timeWindowStart": "(val)",
"timeWindowEnd": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Committee Batch CorrespondencesPUT/irb/api/v1/committee-batch-correspondences/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"committeeBatchCorrespondenceId": "(val)",
"committeeId": "(val)",
"batchCorrespondenceTypeCode": "(val)",
"batchRunDate": "(val)",
"timeWindowStart": "(val)",
"timeWindowEnd": "(val)",
"_primaryKey": "(val)"
},
{
"committeeBatchCorrespondenceId": "(val)",
"committeeId": "(val)",
"batchCorrespondenceTypeCode": "(val)",
"batchRunDate": "(val)",
"timeWindowStart": "(val)",
"timeWindowEnd": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Committee Batch CorrespondencesPATCH/irb/api/v1/committee-batch-correspondences/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"committeeBatchCorrespondenceId": "(val)",
"committeeId": "(val)",
"batchCorrespondenceTypeCode": "(val)",
"batchRunDate": "(val)",
"timeWindowStart": "(val)",
"timeWindowEnd": "(val)",
"_primaryKey": "(val)"
}204Body
{
"committeeBatchCorrespondenceId": "(val)",
"committeeId": "(val)",
"batchCorrespondenceTypeCode": "(val)",
"batchRunDate": "(val)",
"timeWindowStart": "(val)",
"timeWindowEnd": "(val)",
"_primaryKey": "(val)"
}Insert Committee Batch CorrespondencesPOST/irb/api/v1/committee-batch-correspondences/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"committeeBatchCorrespondenceId": "(val)",
"committeeId": "(val)",
"batchCorrespondenceTypeCode": "(val)",
"batchRunDate": "(val)",
"timeWindowStart": "(val)",
"timeWindowEnd": "(val)",
"_primaryKey": "(val)"
}201Body
{
"committeeBatchCorrespondenceId": "(val)",
"committeeId": "(val)",
"batchCorrespondenceTypeCode": "(val)",
"batchRunDate": "(val)",
"timeWindowStart": "(val)",
"timeWindowEnd": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Committee Batch CorrespondencesPOST/irb/api/v1/committee-batch-correspondences/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"committeeBatchCorrespondenceId": "(val)",
"committeeId": "(val)",
"batchCorrespondenceTypeCode": "(val)",
"batchRunDate": "(val)",
"timeWindowStart": "(val)",
"timeWindowEnd": "(val)",
"_primaryKey": "(val)"
},
{
"committeeBatchCorrespondenceId": "(val)",
"committeeId": "(val)",
"batchCorrespondenceTypeCode": "(val)",
"batchRunDate": "(val)",
"timeWindowStart": "(val)",
"timeWindowEnd": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"committeeBatchCorrespondenceId": "(val)",
"committeeId": "(val)",
"batchCorrespondenceTypeCode": "(val)",
"batchRunDate": "(val)",
"timeWindowStart": "(val)",
"timeWindowEnd": "(val)",
"_primaryKey": "(val)"
},
{
"committeeBatchCorrespondenceId": "(val)",
"committeeId": "(val)",
"batchCorrespondenceTypeCode": "(val)",
"batchRunDate": "(val)",
"timeWindowStart": "(val)",
"timeWindowEnd": "(val)",
"_primaryKey": "(val)"
}
]Delete Committee Batch Correspondences by KeyDELETE/irb/api/v1/committee-batch-correspondences/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Committee Batch CorrespondencesDELETE/irb/api/v1/committee-batch-correspondences/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Committee Batch Correspondences with MatchingDELETE/irb/api/v1/committee-batch-correspondences/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- committeeBatchCorrespondenceId
string(optional)- committeeId
string(optional)- batchCorrespondenceTypeCode
string(optional)- batchRunDate
string(optional)- timeWindowStart
string(optional)- timeWindowEnd
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Committee Membership Expertise Entries ¶
Get Committee Membership Expertise Entries by KeyGET/irb/api/v1/committee-membership-expertise-entries/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"committeeMembershipExpertiseId": "(val)",
"committeeMembershipIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
}Get All Committee Membership Expertise EntriesGET/irb/api/v1/committee-membership-expertise-entries/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"committeeMembershipExpertiseId": "(val)",
"committeeMembershipIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
},
{
"committeeMembershipExpertiseId": "(val)",
"committeeMembershipIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
}
]Get All Committee Membership Expertise Entries with FilteringGET/irb/api/v1/committee-membership-expertise-entries/
Example URI
- committeeMembershipExpertiseId
string(optional)Committee Membership Expertise Id. Maximum length is 22.
- committeeMembershipIdFk
string(optional)Committee Membership Id Fk. Maximum length is 22.
- researchAreaCode
string(optional)Research Area Code. Maximum length is 8.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"committeeMembershipExpertiseId": "(val)",
"committeeMembershipIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
},
{
"committeeMembershipExpertiseId": "(val)",
"committeeMembershipIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Committee Membership Expertise EntriesGET/irb/api/v1/committee-membership-expertise-entries/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"committeeMembershipExpertiseId",
"committeeMembershipIdFk",
"researchAreaCode"
],
"primaryKey": "committeeMembershipExpertiseId"
}Get Blueprint API specification for Committee Membership Expertise EntriesGET/irb/api/v1/committee-membership-expertise-entries/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Committee Membership Expertise Entries.md"
transfer-encoding: chunkedUpdate Committee Membership Expertise EntriesPUT/irb/api/v1/committee-membership-expertise-entries/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"committeeMembershipExpertiseId": "(val)",
"committeeMembershipIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Committee Membership Expertise EntriesPUT/irb/api/v1/committee-membership-expertise-entries/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"committeeMembershipExpertiseId": "(val)",
"committeeMembershipIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
},
{
"committeeMembershipExpertiseId": "(val)",
"committeeMembershipIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Committee Membership Expertise EntriesPATCH/irb/api/v1/committee-membership-expertise-entries/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"committeeMembershipExpertiseId": "(val)",
"committeeMembershipIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
}204Body
{
"committeeMembershipExpertiseId": "(val)",
"committeeMembershipIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
}Insert Committee Membership Expertise EntriesPOST/irb/api/v1/committee-membership-expertise-entries/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"committeeMembershipExpertiseId": "(val)",
"committeeMembershipIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
}201Body
{
"committeeMembershipExpertiseId": "(val)",
"committeeMembershipIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Committee Membership Expertise EntriesPOST/irb/api/v1/committee-membership-expertise-entries/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"committeeMembershipExpertiseId": "(val)",
"committeeMembershipIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
},
{
"committeeMembershipExpertiseId": "(val)",
"committeeMembershipIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"committeeMembershipExpertiseId": "(val)",
"committeeMembershipIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
},
{
"committeeMembershipExpertiseId": "(val)",
"committeeMembershipIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
}
]Delete Committee Membership Expertise Entries by KeyDELETE/irb/api/v1/committee-membership-expertise-entries/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Committee Membership Expertise EntriesDELETE/irb/api/v1/committee-membership-expertise-entries/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Committee Membership Expertise Entries with MatchingDELETE/irb/api/v1/committee-membership-expertise-entries/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- committeeMembershipExpertiseId
string(optional)Committee Membership Expertise Id. Maximum length is 22.
- committeeMembershipIdFk
string(optional)Committee Membership Id Fk. Maximum length is 22.
- researchAreaCode
string(optional)Research Area Code. Maximum length is 8.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Committee Memberships ¶
Get Committee Memberships by KeyGET/irb/api/v1/committee-memberships/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"committeeMembershipId": "(val)",
"committeeIdFk": "(val)",
"personId": "(val)",
"rolodexId": "(val)",
"personName": "(val)",
"membershipId": "(val)",
"paidMember": "(val)",
"termStartDate": "(val)",
"termEndDate": "(val)",
"membershipTypeCode": "(val)",
"comments": "(val)",
"contactNotes": "(val)",
"trainingNotes": "(val)",
"_primaryKey": "(val)"
}Get All Committee MembershipsGET/irb/api/v1/committee-memberships/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"committeeMembershipId": "(val)",
"committeeIdFk": "(val)",
"personId": "(val)",
"rolodexId": "(val)",
"personName": "(val)",
"membershipId": "(val)",
"paidMember": "(val)",
"termStartDate": "(val)",
"termEndDate": "(val)",
"membershipTypeCode": "(val)",
"comments": "(val)",
"contactNotes": "(val)",
"trainingNotes": "(val)",
"_primaryKey": "(val)"
},
{
"committeeMembershipId": "(val)",
"committeeIdFk": "(val)",
"personId": "(val)",
"rolodexId": "(val)",
"personName": "(val)",
"membershipId": "(val)",
"paidMember": "(val)",
"termStartDate": "(val)",
"termEndDate": "(val)",
"membershipTypeCode": "(val)",
"comments": "(val)",
"contactNotes": "(val)",
"trainingNotes": "(val)",
"_primaryKey": "(val)"
}
]Get All Committee Memberships with FilteringGET/irb/api/v1/committee-memberships/
Example URI
- committeeMembershipId
string(optional)Committee Membership Id. Maximum length is 12.
- committeeIdFk
string(optional)Committee Id Fk. Maximum length is 12.
- personId
string(optional)Person Id. Maximum length is 40.
- rolodexId
string(optional)Rolodex Id. Maximum length is 12.
- personName
string(optional)Person Name. Maximum length is 90.
- membershipId
string(optional)Membership Id. Maximum length is 10.
- paidMember
string(optional)Paid Member. Maximum length is 1.
- termStartDate
string(optional)Term Start Date. Maximum length is 10.
- termEndDate
string(optional)Term End Date. Maximum length is 10.
- membershipTypeCode
string(optional)Membership Type Code. Maximum length is 3.
- comments
string(optional)Comments. Maximum length is 200.
- contactNotes
string(optional)Contact Notes. Maximum length is 200.
- trainingNotes
string(optional)Training Notes. Maximum length is 200.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"committeeMembershipId": "(val)",
"committeeIdFk": "(val)",
"personId": "(val)",
"rolodexId": "(val)",
"personName": "(val)",
"membershipId": "(val)",
"paidMember": "(val)",
"termStartDate": "(val)",
"termEndDate": "(val)",
"membershipTypeCode": "(val)",
"comments": "(val)",
"contactNotes": "(val)",
"trainingNotes": "(val)",
"_primaryKey": "(val)"
},
{
"committeeMembershipId": "(val)",
"committeeIdFk": "(val)",
"personId": "(val)",
"rolodexId": "(val)",
"personName": "(val)",
"membershipId": "(val)",
"paidMember": "(val)",
"termStartDate": "(val)",
"termEndDate": "(val)",
"membershipTypeCode": "(val)",
"comments": "(val)",
"contactNotes": "(val)",
"trainingNotes": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Committee MembershipsGET/irb/api/v1/committee-memberships/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"committeeMembershipId",
"committeeIdFk",
"personId",
"rolodexId",
"personName",
"membershipId",
"paidMember",
"termStartDate",
"termEndDate",
"membershipTypeCode",
"comments",
"contactNotes",
"trainingNotes"
],
"primaryKey": "committeeMembershipId"
}Get Blueprint API specification for Committee MembershipsGET/irb/api/v1/committee-memberships/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Committee Memberships.md"
transfer-encoding: chunkedUpdate Committee MembershipsPUT/irb/api/v1/committee-memberships/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"committeeMembershipId": "(val)",
"committeeIdFk": "(val)",
"personId": "(val)",
"rolodexId": "(val)",
"personName": "(val)",
"membershipId": "(val)",
"paidMember": "(val)",
"termStartDate": "(val)",
"termEndDate": "(val)",
"membershipTypeCode": "(val)",
"comments": "(val)",
"contactNotes": "(val)",
"trainingNotes": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Committee MembershipsPUT/irb/api/v1/committee-memberships/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"committeeMembershipId": "(val)",
"committeeIdFk": "(val)",
"personId": "(val)",
"rolodexId": "(val)",
"personName": "(val)",
"membershipId": "(val)",
"paidMember": "(val)",
"termStartDate": "(val)",
"termEndDate": "(val)",
"membershipTypeCode": "(val)",
"comments": "(val)",
"contactNotes": "(val)",
"trainingNotes": "(val)",
"_primaryKey": "(val)"
},
{
"committeeMembershipId": "(val)",
"committeeIdFk": "(val)",
"personId": "(val)",
"rolodexId": "(val)",
"personName": "(val)",
"membershipId": "(val)",
"paidMember": "(val)",
"termStartDate": "(val)",
"termEndDate": "(val)",
"membershipTypeCode": "(val)",
"comments": "(val)",
"contactNotes": "(val)",
"trainingNotes": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Committee MembershipsPATCH/irb/api/v1/committee-memberships/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"committeeMembershipId": "(val)",
"committeeIdFk": "(val)",
"personId": "(val)",
"rolodexId": "(val)",
"personName": "(val)",
"membershipId": "(val)",
"paidMember": "(val)",
"termStartDate": "(val)",
"termEndDate": "(val)",
"membershipTypeCode": "(val)",
"comments": "(val)",
"contactNotes": "(val)",
"trainingNotes": "(val)",
"_primaryKey": "(val)"
}204Body
{
"committeeMembershipId": "(val)",
"committeeIdFk": "(val)",
"personId": "(val)",
"rolodexId": "(val)",
"personName": "(val)",
"membershipId": "(val)",
"paidMember": "(val)",
"termStartDate": "(val)",
"termEndDate": "(val)",
"membershipTypeCode": "(val)",
"comments": "(val)",
"contactNotes": "(val)",
"trainingNotes": "(val)",
"_primaryKey": "(val)"
}Insert Committee MembershipsPOST/irb/api/v1/committee-memberships/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"committeeMembershipId": "(val)",
"committeeIdFk": "(val)",
"personId": "(val)",
"rolodexId": "(val)",
"personName": "(val)",
"membershipId": "(val)",
"paidMember": "(val)",
"termStartDate": "(val)",
"termEndDate": "(val)",
"membershipTypeCode": "(val)",
"comments": "(val)",
"contactNotes": "(val)",
"trainingNotes": "(val)",
"_primaryKey": "(val)"
}201Body
{
"committeeMembershipId": "(val)",
"committeeIdFk": "(val)",
"personId": "(val)",
"rolodexId": "(val)",
"personName": "(val)",
"membershipId": "(val)",
"paidMember": "(val)",
"termStartDate": "(val)",
"termEndDate": "(val)",
"membershipTypeCode": "(val)",
"comments": "(val)",
"contactNotes": "(val)",
"trainingNotes": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Committee MembershipsPOST/irb/api/v1/committee-memberships/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"committeeMembershipId": "(val)",
"committeeIdFk": "(val)",
"personId": "(val)",
"rolodexId": "(val)",
"personName": "(val)",
"membershipId": "(val)",
"paidMember": "(val)",
"termStartDate": "(val)",
"termEndDate": "(val)",
"membershipTypeCode": "(val)",
"comments": "(val)",
"contactNotes": "(val)",
"trainingNotes": "(val)",
"_primaryKey": "(val)"
},
{
"committeeMembershipId": "(val)",
"committeeIdFk": "(val)",
"personId": "(val)",
"rolodexId": "(val)",
"personName": "(val)",
"membershipId": "(val)",
"paidMember": "(val)",
"termStartDate": "(val)",
"termEndDate": "(val)",
"membershipTypeCode": "(val)",
"comments": "(val)",
"contactNotes": "(val)",
"trainingNotes": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"committeeMembershipId": "(val)",
"committeeIdFk": "(val)",
"personId": "(val)",
"rolodexId": "(val)",
"personName": "(val)",
"membershipId": "(val)",
"paidMember": "(val)",
"termStartDate": "(val)",
"termEndDate": "(val)",
"membershipTypeCode": "(val)",
"comments": "(val)",
"contactNotes": "(val)",
"trainingNotes": "(val)",
"_primaryKey": "(val)"
},
{
"committeeMembershipId": "(val)",
"committeeIdFk": "(val)",
"personId": "(val)",
"rolodexId": "(val)",
"personName": "(val)",
"membershipId": "(val)",
"paidMember": "(val)",
"termStartDate": "(val)",
"termEndDate": "(val)",
"membershipTypeCode": "(val)",
"comments": "(val)",
"contactNotes": "(val)",
"trainingNotes": "(val)",
"_primaryKey": "(val)"
}
]Delete Committee Memberships by KeyDELETE/irb/api/v1/committee-memberships/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Committee MembershipsDELETE/irb/api/v1/committee-memberships/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Committee Memberships with MatchingDELETE/irb/api/v1/committee-memberships/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- committeeMembershipId
string(optional)Committee Membership Id. Maximum length is 12.
- committeeIdFk
string(optional)Committee Id Fk. Maximum length is 12.
- personId
string(optional)Person Id. Maximum length is 40.
- rolodexId
string(optional)Rolodex Id. Maximum length is 12.
- personName
string(optional)Person Name. Maximum length is 90.
- membershipId
string(optional)Membership Id. Maximum length is 10.
- paidMember
string(optional)Paid Member. Maximum length is 1.
- termStartDate
string(optional)Term Start Date. Maximum length is 10.
- termEndDate
string(optional)Term End Date. Maximum length is 10.
- membershipTypeCode
string(optional)Membership Type Code. Maximum length is 3.
- comments
string(optional)Comments. Maximum length is 200.
- contactNotes
string(optional)Contact Notes. Maximum length is 200.
- trainingNotes
string(optional)Training Notes. Maximum length is 200.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Committee Research Areas ¶
Get Committee Research Areas by KeyGET/irb/api/v1/committee-research-areas/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "(val)",
"committeeIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
}Get All Committee Research AreasGET/irb/api/v1/committee-research-areas/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"committeeIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"committeeIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
}
]Get All Committee Research Areas with FilteringGET/irb/api/v1/committee-research-areas/
Example URI
- id
string(optional)Committee Research Area Id.
- committeeIdFk
string(optional)Committee Id Fk.
- researchAreaCode
string(optional)Research Area Code.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"committeeIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"committeeIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Committee Research AreasGET/irb/api/v1/committee-research-areas/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"id",
"committeeIdFk",
"researchAreaCode"
],
"primaryKey": "id"
}Get Blueprint API specification for Committee Research AreasGET/irb/api/v1/committee-research-areas/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Committee Research Areas.md"
transfer-encoding: chunkedUpdate Committee Research AreasPUT/irb/api/v1/committee-research-areas/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"committeeIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Committee Research AreasPUT/irb/api/v1/committee-research-areas/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"committeeIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"committeeIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Committee Research AreasPATCH/irb/api/v1/committee-research-areas/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"committeeIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
}204Body
{
"id": "(val)",
"committeeIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
}Insert Committee Research AreasPOST/irb/api/v1/committee-research-areas/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"committeeIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
}201Body
{
"id": "(val)",
"committeeIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Committee Research AreasPOST/irb/api/v1/committee-research-areas/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"committeeIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"committeeIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"id": "(val)",
"committeeIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"committeeIdFk": "(val)",
"researchAreaCode": "(val)",
"_primaryKey": "(val)"
}
]Delete Committee Research Areas by KeyDELETE/irb/api/v1/committee-research-areas/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Committee Research AreasDELETE/irb/api/v1/committee-research-areas/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Committee Research Areas with MatchingDELETE/irb/api/v1/committee-research-areas/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- id
string(optional)Committee Research Area Id.
- committeeIdFk
string(optional)Committee Id Fk.
- researchAreaCode
string(optional)Research Area Code.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Committee Schedule Action Items ¶
Get Committee Schedule Action Items by KeyGET/irb/api/v1/committee-schedule-action-items/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"commScheduleActItemsId": "(val)",
"scheduleIdFk": "(val)",
"actionItemNumber": "(val)",
"scheduleActItemTypeCode": "(val)",
"itemDescription": "(val)",
"_primaryKey": "(val)"
}Get All Committee Schedule Action ItemsGET/irb/api/v1/committee-schedule-action-items/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"commScheduleActItemsId": "(val)",
"scheduleIdFk": "(val)",
"actionItemNumber": "(val)",
"scheduleActItemTypeCode": "(val)",
"itemDescription": "(val)",
"_primaryKey": "(val)"
},
{
"commScheduleActItemsId": "(val)",
"scheduleIdFk": "(val)",
"actionItemNumber": "(val)",
"scheduleActItemTypeCode": "(val)",
"itemDescription": "(val)",
"_primaryKey": "(val)"
}
]Get All Committee Schedule Action Items with FilteringGET/irb/api/v1/committee-schedule-action-items/
Example URI
- commScheduleActItemsId
string(optional)Comm Schedule Act Items Id. Maximum length is 12.
- scheduleIdFk
string(optional)Schedule Id. Maximum length is 12.
- actionItemNumber
string(optional)Action Item Number. Maximum length is 22.
- scheduleActItemTypeCode
string(optional)Schedule Act Item Type Code. Maximum length is 3.
- itemDescription
string(optional)Item Description. Maximum length is 2000.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"commScheduleActItemsId": "(val)",
"scheduleIdFk": "(val)",
"actionItemNumber": "(val)",
"scheduleActItemTypeCode": "(val)",
"itemDescription": "(val)",
"_primaryKey": "(val)"
},
{
"commScheduleActItemsId": "(val)",
"scheduleIdFk": "(val)",
"actionItemNumber": "(val)",
"scheduleActItemTypeCode": "(val)",
"itemDescription": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Committee Schedule Action ItemsGET/irb/api/v1/committee-schedule-action-items/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"commScheduleActItemsId",
"scheduleIdFk",
"actionItemNumber",
"scheduleActItemTypeCode",
"itemDescription"
],
"primaryKey": "commScheduleActItemsId"
}Get Blueprint API specification for Committee Schedule Action ItemsGET/irb/api/v1/committee-schedule-action-items/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Committee Schedule Action Items.md"
transfer-encoding: chunkedUpdate Committee Schedule Action ItemsPUT/irb/api/v1/committee-schedule-action-items/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"commScheduleActItemsId": "(val)",
"scheduleIdFk": "(val)",
"actionItemNumber": "(val)",
"scheduleActItemTypeCode": "(val)",
"itemDescription": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Committee Schedule Action ItemsPUT/irb/api/v1/committee-schedule-action-items/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"commScheduleActItemsId": "(val)",
"scheduleIdFk": "(val)",
"actionItemNumber": "(val)",
"scheduleActItemTypeCode": "(val)",
"itemDescription": "(val)",
"_primaryKey": "(val)"
},
{
"commScheduleActItemsId": "(val)",
"scheduleIdFk": "(val)",
"actionItemNumber": "(val)",
"scheduleActItemTypeCode": "(val)",
"itemDescription": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Committee Schedule Action ItemsPATCH/irb/api/v1/committee-schedule-action-items/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"commScheduleActItemsId": "(val)",
"scheduleIdFk": "(val)",
"actionItemNumber": "(val)",
"scheduleActItemTypeCode": "(val)",
"itemDescription": "(val)",
"_primaryKey": "(val)"
}204Body
{
"commScheduleActItemsId": "(val)",
"scheduleIdFk": "(val)",
"actionItemNumber": "(val)",
"scheduleActItemTypeCode": "(val)",
"itemDescription": "(val)",
"_primaryKey": "(val)"
}Insert Committee Schedule Action ItemsPOST/irb/api/v1/committee-schedule-action-items/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"commScheduleActItemsId": "(val)",
"scheduleIdFk": "(val)",
"actionItemNumber": "(val)",
"scheduleActItemTypeCode": "(val)",
"itemDescription": "(val)",
"_primaryKey": "(val)"
}201Body
{
"commScheduleActItemsId": "(val)",
"scheduleIdFk": "(val)",
"actionItemNumber": "(val)",
"scheduleActItemTypeCode": "(val)",
"itemDescription": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Committee Schedule Action ItemsPOST/irb/api/v1/committee-schedule-action-items/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"commScheduleActItemsId": "(val)",
"scheduleIdFk": "(val)",
"actionItemNumber": "(val)",
"scheduleActItemTypeCode": "(val)",
"itemDescription": "(val)",
"_primaryKey": "(val)"
},
{
"commScheduleActItemsId": "(val)",
"scheduleIdFk": "(val)",
"actionItemNumber": "(val)",
"scheduleActItemTypeCode": "(val)",
"itemDescription": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"commScheduleActItemsId": "(val)",
"scheduleIdFk": "(val)",
"actionItemNumber": "(val)",
"scheduleActItemTypeCode": "(val)",
"itemDescription": "(val)",
"_primaryKey": "(val)"
},
{
"commScheduleActItemsId": "(val)",
"scheduleIdFk": "(val)",
"actionItemNumber": "(val)",
"scheduleActItemTypeCode": "(val)",
"itemDescription": "(val)",
"_primaryKey": "(val)"
}
]Delete Committee Schedule Action Items by KeyDELETE/irb/api/v1/committee-schedule-action-items/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Committee Schedule Action ItemsDELETE/irb/api/v1/committee-schedule-action-items/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Committee Schedule Action Items with MatchingDELETE/irb/api/v1/committee-schedule-action-items/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- commScheduleActItemsId
string(optional)Comm Schedule Act Items Id. Maximum length is 12.
- scheduleIdFk
string(optional)Schedule Id. Maximum length is 12.
- actionItemNumber
string(optional)Action Item Number. Maximum length is 22.
- scheduleActItemTypeCode
string(optional)Schedule Act Item Type Code. Maximum length is 3.
- itemDescription
string(optional)Item Description. Maximum length is 2000.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Committee Schedule Attachments ¶
Get Committee Schedule Attachments by KeyGET/irb/api/v1/committee-schedule-attachments/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"scheduleId": "(val)",
"attachmentId": "(val)",
"attachmentsTypeCode": "(val)",
"description": "(val)",
"fileName": "(val)",
"document": "(val)",
"mimeType": "(val)",
"newUpdateTimestamp": "(val)",
"newUpdateUser": "(val)",
"_primaryKey": "(val)"
}Get All Committee Schedule AttachmentsGET/irb/api/v1/committee-schedule-attachments/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"scheduleId": "(val)",
"attachmentId": "(val)",
"attachmentsTypeCode": "(val)",
"description": "(val)",
"fileName": "(val)",
"document": "(val)",
"mimeType": "(val)",
"newUpdateTimestamp": "(val)",
"newUpdateUser": "(val)",
"_primaryKey": "(val)"
},
{
"scheduleId": "(val)",
"attachmentId": "(val)",
"attachmentsTypeCode": "(val)",
"description": "(val)",
"fileName": "(val)",
"document": "(val)",
"mimeType": "(val)",
"newUpdateTimestamp": "(val)",
"newUpdateUser": "(val)",
"_primaryKey": "(val)"
}
]Get All Committee Schedule Attachments with FilteringGET/irb/api/v1/committee-schedule-attachments/
Example URI
- scheduleId
string(optional)- attachmentId
string(optional)- attachmentsTypeCode
string(optional)Attachment Type. Maximum length is 3.
- description
string(optional)Description. Maximum length is 4000.
- fileName
string(optional)File Name. Maximum length is 150.
- document
string(optional)- mimeType
string(optional)- newUpdateTimestamp
string(optional)- newUpdateUser
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"scheduleId": "(val)",
"attachmentId": "(val)",
"attachmentsTypeCode": "(val)",
"description": "(val)",
"fileName": "(val)",
"document": "(val)",
"mimeType": "(val)",
"newUpdateTimestamp": "(val)",
"newUpdateUser": "(val)",
"_primaryKey": "(val)"
},
{
"scheduleId": "(val)",
"attachmentId": "(val)",
"attachmentsTypeCode": "(val)",
"description": "(val)",
"fileName": "(val)",
"document": "(val)",
"mimeType": "(val)",
"newUpdateTimestamp": "(val)",
"newUpdateUser": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Committee Schedule AttachmentsGET/irb/api/v1/committee-schedule-attachments/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"scheduleId",
"attachmentId",
"attachmentsTypeCode",
"description",
"fileName",
"document",
"mimeType",
"newUpdateTimestamp",
"newUpdateUser"
],
"primaryKey": "attachmentId"
}Get Blueprint API specification for Committee Schedule AttachmentsGET/irb/api/v1/committee-schedule-attachments/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Committee Schedule Attachments.md"
transfer-encoding: chunkedUpdate Committee Schedule AttachmentsPUT/irb/api/v1/committee-schedule-attachments/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"scheduleId": "(val)",
"attachmentId": "(val)",
"attachmentsTypeCode": "(val)",
"description": "(val)",
"fileName": "(val)",
"document": "(val)",
"mimeType": "(val)",
"newUpdateTimestamp": "(val)",
"newUpdateUser": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Committee Schedule AttachmentsPUT/irb/api/v1/committee-schedule-attachments/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"scheduleId": "(val)",
"attachmentId": "(val)",
"attachmentsTypeCode": "(val)",
"description": "(val)",
"fileName": "(val)",
"document": "(val)",
"mimeType": "(val)",
"newUpdateTimestamp": "(val)",
"newUpdateUser": "(val)",
"_primaryKey": "(val)"
},
{
"scheduleId": "(val)",
"attachmentId": "(val)",
"attachmentsTypeCode": "(val)",
"description": "(val)",
"fileName": "(val)",
"document": "(val)",
"mimeType": "(val)",
"newUpdateTimestamp": "(val)",
"newUpdateUser": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Committee Schedule AttachmentsPATCH/irb/api/v1/committee-schedule-attachments/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"scheduleId": "(val)",
"attachmentId": "(val)",
"attachmentsTypeCode": "(val)",
"description": "(val)",
"fileName": "(val)",
"document": "(val)",
"mimeType": "(val)",
"newUpdateTimestamp": "(val)",
"newUpdateUser": "(val)",
"_primaryKey": "(val)"
}204Body
{
"scheduleId": "(val)",
"attachmentId": "(val)",
"attachmentsTypeCode": "(val)",
"description": "(val)",
"fileName": "(val)",
"document": "(val)",
"mimeType": "(val)",
"newUpdateTimestamp": "(val)",
"newUpdateUser": "(val)",
"_primaryKey": "(val)"
}Insert Committee Schedule AttachmentsPOST/irb/api/v1/committee-schedule-attachments/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"scheduleId": "(val)",
"attachmentId": "(val)",
"attachmentsTypeCode": "(val)",
"description": "(val)",
"fileName": "(val)",
"document": "(val)",
"mimeType": "(val)",
"newUpdateTimestamp": "(val)",
"newUpdateUser": "(val)",
"_primaryKey": "(val)"
}201Body
{
"scheduleId": "(val)",
"attachmentId": "(val)",
"attachmentsTypeCode": "(val)",
"description": "(val)",
"fileName": "(val)",
"document": "(val)",
"mimeType": "(val)",
"newUpdateTimestamp": "(val)",
"newUpdateUser": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Committee Schedule AttachmentsPOST/irb/api/v1/committee-schedule-attachments/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"scheduleId": "(val)",
"attachmentId": "(val)",
"attachmentsTypeCode": "(val)",
"description": "(val)",
"fileName": "(val)",
"document": "(val)",
"mimeType": "(val)",
"newUpdateTimestamp": "(val)",
"newUpdateUser": "(val)",
"_primaryKey": "(val)"
},
{
"scheduleId": "(val)",
"attachmentId": "(val)",
"attachmentsTypeCode": "(val)",
"description": "(val)",
"fileName": "(val)",
"document": "(val)",
"mimeType": "(val)",
"newUpdateTimestamp": "(val)",
"newUpdateUser": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"scheduleId": "(val)",
"attachmentId": "(val)",
"attachmentsTypeCode": "(val)",
"description": "(val)",
"fileName": "(val)",
"document": "(val)",
"mimeType": "(val)",
"newUpdateTimestamp": "(val)",
"newUpdateUser": "(val)",
"_primaryKey": "(val)"
},
{
"scheduleId": "(val)",
"attachmentId": "(val)",
"attachmentsTypeCode": "(val)",
"description": "(val)",
"fileName": "(val)",
"document": "(val)",
"mimeType": "(val)",
"newUpdateTimestamp": "(val)",
"newUpdateUser": "(val)",
"_primaryKey": "(val)"
}
]Delete Committee Schedule Attachments by KeyDELETE/irb/api/v1/committee-schedule-attachments/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Committee Schedule AttachmentsDELETE/irb/api/v1/committee-schedule-attachments/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Committee Schedule Attachments with MatchingDELETE/irb/api/v1/committee-schedule-attachments/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- scheduleId
string(optional)- attachmentId
string(optional)- attachmentsTypeCode
string(optional)Attachment Type. Maximum length is 3.
- description
string(optional)Description. Maximum length is 4000.
- fileName
string(optional)File Name. Maximum length is 150.
- document
string(optional)- mimeType
string(optional)- newUpdateTimestamp
string(optional)- newUpdateUser
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Committee Schedule Attendances ¶
Get Committee Schedule Attendances by KeyGET/irb/api/v1/committee-schedule-attendances/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"commScheduleAttendanceId": "(val)",
"scheduleIdFk": "(val)",
"personId": "(val)",
"personName": "(val)",
"guestFlag": "(val)",
"alternateFlag": "(val)",
"alternateFor": "(val)",
"nonEmployeeFlag": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
}Get All Committee Schedule AttendancesGET/irb/api/v1/committee-schedule-attendances/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"commScheduleAttendanceId": "(val)",
"scheduleIdFk": "(val)",
"personId": "(val)",
"personName": "(val)",
"guestFlag": "(val)",
"alternateFlag": "(val)",
"alternateFor": "(val)",
"nonEmployeeFlag": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
},
{
"commScheduleAttendanceId": "(val)",
"scheduleIdFk": "(val)",
"personId": "(val)",
"personName": "(val)",
"guestFlag": "(val)",
"alternateFlag": "(val)",
"alternateFor": "(val)",
"nonEmployeeFlag": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
}
]Get All Committee Schedule Attendances with FilteringGET/irb/api/v1/committee-schedule-attendances/
Example URI
- commScheduleAttendanceId
string(optional)Comm Schedule Attendance Id. Maximum length is 22.
- scheduleIdFk
string(optional)Schedule Id. Maximum length is 10.
- personId
string(optional)Person Id. Maximum length is 40.
- personName
string(optional)Person Name. Maximum length is 90.
- guestFlag
string(optional)Guest Flag. Maximum length is 1.
- alternateFlag
string(optional)Alternate Flag. Maximum length is 1.
- alternateFor
string(optional)Alternate For. Maximum length is 9.
- nonEmployeeFlag
string(optional)Non Employee Flag. Maximum length is 1.
- comments
string(optional)Comments. Maximum length is 2000.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"commScheduleAttendanceId": "(val)",
"scheduleIdFk": "(val)",
"personId": "(val)",
"personName": "(val)",
"guestFlag": "(val)",
"alternateFlag": "(val)",
"alternateFor": "(val)",
"nonEmployeeFlag": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
},
{
"commScheduleAttendanceId": "(val)",
"scheduleIdFk": "(val)",
"personId": "(val)",
"personName": "(val)",
"guestFlag": "(val)",
"alternateFlag": "(val)",
"alternateFor": "(val)",
"nonEmployeeFlag": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Committee Schedule AttendancesGET/irb/api/v1/committee-schedule-attendances/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"commScheduleAttendanceId",
"scheduleIdFk",
"personId",
"personName",
"guestFlag",
"alternateFlag",
"alternateFor",
"nonEmployeeFlag",
"comments"
],
"primaryKey": "commScheduleAttendanceId"
}Get Blueprint API specification for Committee Schedule AttendancesGET/irb/api/v1/committee-schedule-attendances/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Committee Schedule Attendances.md"
transfer-encoding: chunkedUpdate Committee Schedule AttendancesPUT/irb/api/v1/committee-schedule-attendances/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"commScheduleAttendanceId": "(val)",
"scheduleIdFk": "(val)",
"personId": "(val)",
"personName": "(val)",
"guestFlag": "(val)",
"alternateFlag": "(val)",
"alternateFor": "(val)",
"nonEmployeeFlag": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Committee Schedule AttendancesPUT/irb/api/v1/committee-schedule-attendances/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"commScheduleAttendanceId": "(val)",
"scheduleIdFk": "(val)",
"personId": "(val)",
"personName": "(val)",
"guestFlag": "(val)",
"alternateFlag": "(val)",
"alternateFor": "(val)",
"nonEmployeeFlag": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
},
{
"commScheduleAttendanceId": "(val)",
"scheduleIdFk": "(val)",
"personId": "(val)",
"personName": "(val)",
"guestFlag": "(val)",
"alternateFlag": "(val)",
"alternateFor": "(val)",
"nonEmployeeFlag": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Committee Schedule AttendancesPATCH/irb/api/v1/committee-schedule-attendances/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"commScheduleAttendanceId": "(val)",
"scheduleIdFk": "(val)",
"personId": "(val)",
"personName": "(val)",
"guestFlag": "(val)",
"alternateFlag": "(val)",
"alternateFor": "(val)",
"nonEmployeeFlag": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
}204Body
{
"commScheduleAttendanceId": "(val)",
"scheduleIdFk": "(val)",
"personId": "(val)",
"personName": "(val)",
"guestFlag": "(val)",
"alternateFlag": "(val)",
"alternateFor": "(val)",
"nonEmployeeFlag": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
}Insert Committee Schedule AttendancesPOST/irb/api/v1/committee-schedule-attendances/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"commScheduleAttendanceId": "(val)",
"scheduleIdFk": "(val)",
"personId": "(val)",
"personName": "(val)",
"guestFlag": "(val)",
"alternateFlag": "(val)",
"alternateFor": "(val)",
"nonEmployeeFlag": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
}201Body
{
"commScheduleAttendanceId": "(val)",
"scheduleIdFk": "(val)",
"personId": "(val)",
"personName": "(val)",
"guestFlag": "(val)",
"alternateFlag": "(val)",
"alternateFor": "(val)",
"nonEmployeeFlag": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Committee Schedule AttendancesPOST/irb/api/v1/committee-schedule-attendances/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"commScheduleAttendanceId": "(val)",
"scheduleIdFk": "(val)",
"personId": "(val)",
"personName": "(val)",
"guestFlag": "(val)",
"alternateFlag": "(val)",
"alternateFor": "(val)",
"nonEmployeeFlag": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
},
{
"commScheduleAttendanceId": "(val)",
"scheduleIdFk": "(val)",
"personId": "(val)",
"personName": "(val)",
"guestFlag": "(val)",
"alternateFlag": "(val)",
"alternateFor": "(val)",
"nonEmployeeFlag": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"commScheduleAttendanceId": "(val)",
"scheduleIdFk": "(val)",
"personId": "(val)",
"personName": "(val)",
"guestFlag": "(val)",
"alternateFlag": "(val)",
"alternateFor": "(val)",
"nonEmployeeFlag": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
},
{
"commScheduleAttendanceId": "(val)",
"scheduleIdFk": "(val)",
"personId": "(val)",
"personName": "(val)",
"guestFlag": "(val)",
"alternateFlag": "(val)",
"alternateFor": "(val)",
"nonEmployeeFlag": "(val)",
"comments": "(val)",
"_primaryKey": "(val)"
}
]Delete Committee Schedule Attendances by KeyDELETE/irb/api/v1/committee-schedule-attendances/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Committee Schedule AttendancesDELETE/irb/api/v1/committee-schedule-attendances/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Committee Schedule Attendances with MatchingDELETE/irb/api/v1/committee-schedule-attendances/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- commScheduleAttendanceId
string(optional)Comm Schedule Attendance Id. Maximum length is 22.
- scheduleIdFk
string(optional)Schedule Id. Maximum length is 10.
- personId
string(optional)Person Id. Maximum length is 40.
- personName
string(optional)Person Name. Maximum length is 90.
- guestFlag
string(optional)Guest Flag. Maximum length is 1.
- alternateFlag
string(optional)Alternate Flag. Maximum length is 1.
- alternateFor
string(optional)Alternate For. Maximum length is 9.
- nonEmployeeFlag
string(optional)Non Employee Flag. Maximum length is 1.
- comments
string(optional)Comments. Maximum length is 2000.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Committee Schedule Minute Docs ¶
Get Committee Schedule Minute Docs by KeyGET/irb/api/v1/committee-schedule-minute-docs/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"commScheduleMinuteDocId": "(val)",
"scheduleIdFk": "(val)",
"minuteNumber": "(val)",
"minuteName": "(val)",
"pdfStore": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"_primaryKey": "(val)"
}Get All Committee Schedule Minute DocsGET/irb/api/v1/committee-schedule-minute-docs/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"commScheduleMinuteDocId": "(val)",
"scheduleIdFk": "(val)",
"minuteNumber": "(val)",
"minuteName": "(val)",
"pdfStore": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"_primaryKey": "(val)"
},
{
"commScheduleMinuteDocId": "(val)",
"scheduleIdFk": "(val)",
"minuteNumber": "(val)",
"minuteName": "(val)",
"pdfStore": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"_primaryKey": "(val)"
}
]Get All Committee Schedule Minute Docs with FilteringGET/irb/api/v1/committee-schedule-minute-docs/
Example URI
- commScheduleMinuteDocId
string(optional)Comm Schedule Minute Doc Id. Maximum length is 12.
- scheduleIdFk
string(optional)Schedule Id. Maximum length is 12.
- minuteNumber
string(optional)Minute Number. Maximum length is 4.
- minuteName
string(optional)Minute Name. Maximum length is 200.
- pdfStore
string(optional)Pdf Store. Maximum length is 4000.
- createTimestamp
string(optional)- createUser
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"commScheduleMinuteDocId": "(val)",
"scheduleIdFk": "(val)",
"minuteNumber": "(val)",
"minuteName": "(val)",
"pdfStore": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"_primaryKey": "(val)"
},
{
"commScheduleMinuteDocId": "(val)",
"scheduleIdFk": "(val)",
"minuteNumber": "(val)",
"minuteName": "(val)",
"pdfStore": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Committee Schedule Minute DocsGET/irb/api/v1/committee-schedule-minute-docs/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"commScheduleMinuteDocId",
"scheduleIdFk",
"minuteNumber",
"minuteName",
"pdfStore",
"createTimestamp",
"createUser"
],
"primaryKey": "commScheduleMinuteDocId"
}Get Blueprint API specification for Committee Schedule Minute DocsGET/irb/api/v1/committee-schedule-minute-docs/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Committee Schedule Minute Docs.md"
transfer-encoding: chunkedUpdate Committee Schedule Minute DocsPUT/irb/api/v1/committee-schedule-minute-docs/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"commScheduleMinuteDocId": "(val)",
"scheduleIdFk": "(val)",
"minuteNumber": "(val)",
"minuteName": "(val)",
"pdfStore": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Committee Schedule Minute DocsPUT/irb/api/v1/committee-schedule-minute-docs/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"commScheduleMinuteDocId": "(val)",
"scheduleIdFk": "(val)",
"minuteNumber": "(val)",
"minuteName": "(val)",
"pdfStore": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"_primaryKey": "(val)"
},
{
"commScheduleMinuteDocId": "(val)",
"scheduleIdFk": "(val)",
"minuteNumber": "(val)",
"minuteName": "(val)",
"pdfStore": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Committee Schedule Minute DocsPATCH/irb/api/v1/committee-schedule-minute-docs/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"commScheduleMinuteDocId": "(val)",
"scheduleIdFk": "(val)",
"minuteNumber": "(val)",
"minuteName": "(val)",
"pdfStore": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"_primaryKey": "(val)"
}204Body
{
"commScheduleMinuteDocId": "(val)",
"scheduleIdFk": "(val)",
"minuteNumber": "(val)",
"minuteName": "(val)",
"pdfStore": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"_primaryKey": "(val)"
}Insert Committee Schedule Minute DocsPOST/irb/api/v1/committee-schedule-minute-docs/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"commScheduleMinuteDocId": "(val)",
"scheduleIdFk": "(val)",
"minuteNumber": "(val)",
"minuteName": "(val)",
"pdfStore": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"_primaryKey": "(val)"
}201Body
{
"commScheduleMinuteDocId": "(val)",
"scheduleIdFk": "(val)",
"minuteNumber": "(val)",
"minuteName": "(val)",
"pdfStore": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Committee Schedule Minute DocsPOST/irb/api/v1/committee-schedule-minute-docs/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"commScheduleMinuteDocId": "(val)",
"scheduleIdFk": "(val)",
"minuteNumber": "(val)",
"minuteName": "(val)",
"pdfStore": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"_primaryKey": "(val)"
},
{
"commScheduleMinuteDocId": "(val)",
"scheduleIdFk": "(val)",
"minuteNumber": "(val)",
"minuteName": "(val)",
"pdfStore": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"commScheduleMinuteDocId": "(val)",
"scheduleIdFk": "(val)",
"minuteNumber": "(val)",
"minuteName": "(val)",
"pdfStore": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"_primaryKey": "(val)"
},
{
"commScheduleMinuteDocId": "(val)",
"scheduleIdFk": "(val)",
"minuteNumber": "(val)",
"minuteName": "(val)",
"pdfStore": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"_primaryKey": "(val)"
}
]Delete Committee Schedule Minute Docs by KeyDELETE/irb/api/v1/committee-schedule-minute-docs/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Committee Schedule Minute DocsDELETE/irb/api/v1/committee-schedule-minute-docs/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Committee Schedule Minute Docs with MatchingDELETE/irb/api/v1/committee-schedule-minute-docs/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- commScheduleMinuteDocId
string(optional)Comm Schedule Minute Doc Id. Maximum length is 12.
- scheduleIdFk
string(optional)Schedule Id. Maximum length is 12.
- minuteNumber
string(optional)Minute Number. Maximum length is 4.
- minuteName
string(optional)Minute Name. Maximum length is 200.
- pdfStore
string(optional)Pdf Store. Maximum length is 4000.
- createTimestamp
string(optional)- createUser
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Committee Schedule Minutes ¶
Get Committee Schedule Minutes by KeyGET/irb/api/v1/committee-schedule-minutes/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"commScheduleMinutesId": "(val)",
"scheduleIdFk": "(val)",
"entryNumber": "(val)",
"minuteEntryTypeCode": "(val)",
"protocolIdFk": "(val)",
"protocolNumber": "(val)",
"submissionNumber": "(val)",
"commScheduleActItemsIdFk": "(val)",
"submissionIdFk": "(val)",
"privateCommentFlag": "(val)",
"protocolContingencyCode": "(val)",
"minuteEntry": "(val)",
"finalFlag": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"protocolReviewerIdFk": "(val)",
"protocolOnlineReviewIdFk": "(val)",
"_primaryKey": "(val)"
}Get All Committee Schedule MinutesGET/irb/api/v1/committee-schedule-minutes/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"commScheduleMinutesId": "(val)",
"scheduleIdFk": "(val)",
"entryNumber": "(val)",
"minuteEntryTypeCode": "(val)",
"protocolIdFk": "(val)",
"protocolNumber": "(val)",
"submissionNumber": "(val)",
"commScheduleActItemsIdFk": "(val)",
"submissionIdFk": "(val)",
"privateCommentFlag": "(val)",
"protocolContingencyCode": "(val)",
"minuteEntry": "(val)",
"finalFlag": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"protocolReviewerIdFk": "(val)",
"protocolOnlineReviewIdFk": "(val)",
"_primaryKey": "(val)"
},
{
"commScheduleMinutesId": "(val)",
"scheduleIdFk": "(val)",
"entryNumber": "(val)",
"minuteEntryTypeCode": "(val)",
"protocolIdFk": "(val)",
"protocolNumber": "(val)",
"submissionNumber": "(val)",
"commScheduleActItemsIdFk": "(val)",
"submissionIdFk": "(val)",
"privateCommentFlag": "(val)",
"protocolContingencyCode": "(val)",
"minuteEntry": "(val)",
"finalFlag": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"protocolReviewerIdFk": "(val)",
"protocolOnlineReviewIdFk": "(val)",
"_primaryKey": "(val)"
}
]Get All Committee Schedule Minutes with FilteringGET/irb/api/v1/committee-schedule-minutes/
Example URI
- commScheduleMinutesId
string(optional)Id. Maximum length is 12.
- scheduleIdFk
string(optional)Schedule Id Fk. Maximum length is 12.
- entryNumber
string(optional)Entry Number. Maximum length is 12.
- minuteEntryTypeCode
string(optional)Minute Entry Type Code. Maximum length is 3.
- protocolIdFk
string(optional)Protocol Id Fk. Maximum length is 12.
- protocolNumber
string(optional)- submissionNumber
string(optional)- commScheduleActItemsIdFk
string(optional)CommScheduleActItems Id Fk. Maximum length is 12.
- submissionIdFk
string(optional)Submission Id Fk. Maximum length is 12.
- privateCommentFlag
string(optional)Private Comment Flag. Maximum length is 1.
- protocolContingencyCode
string(optional)Protocol Contingency Code. Maximum length is 4.
- minuteEntry
string(optional)Minute Entry. Maximum length is 4000.
- finalFlag
string(optional)Final Flag. Maximum length is 1.
- createTimestamp
string(optional)Created Time. Maximum length is 21.
- createUser
string(optional)Create User. Maximum length is 80.
- protocolReviewerIdFk
string(optional)Reviewers. Maximum length is 1000.
- protocolOnlineReviewIdFk
string(optional)Protocol Online Review. Maximum length is 1000.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"commScheduleMinutesId": "(val)",
"scheduleIdFk": "(val)",
"entryNumber": "(val)",
"minuteEntryTypeCode": "(val)",
"protocolIdFk": "(val)",
"protocolNumber": "(val)",
"submissionNumber": "(val)",
"commScheduleActItemsIdFk": "(val)",
"submissionIdFk": "(val)",
"privateCommentFlag": "(val)",
"protocolContingencyCode": "(val)",
"minuteEntry": "(val)",
"finalFlag": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"protocolReviewerIdFk": "(val)",
"protocolOnlineReviewIdFk": "(val)",
"_primaryKey": "(val)"
},
{
"commScheduleMinutesId": "(val)",
"scheduleIdFk": "(val)",
"entryNumber": "(val)",
"minuteEntryTypeCode": "(val)",
"protocolIdFk": "(val)",
"protocolNumber": "(val)",
"submissionNumber": "(val)",
"commScheduleActItemsIdFk": "(val)",
"submissionIdFk": "(val)",
"privateCommentFlag": "(val)",
"protocolContingencyCode": "(val)",
"minuteEntry": "(val)",
"finalFlag": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"protocolReviewerIdFk": "(val)",
"protocolOnlineReviewIdFk": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Committee Schedule MinutesGET/irb/api/v1/committee-schedule-minutes/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"commScheduleMinutesId",
"scheduleIdFk",
"entryNumber",
"minuteEntryTypeCode",
"protocolIdFk",
"protocolNumber",
"submissionNumber",
"commScheduleActItemsIdFk",
"submissionIdFk",
"privateCommentFlag",
"protocolContingencyCode",
"minuteEntry",
"finalFlag",
"createTimestamp",
"createUser",
"protocolReviewerIdFk",
"protocolOnlineReviewIdFk"
],
"primaryKey": "commScheduleMinutesId"
}Get Blueprint API specification for Committee Schedule MinutesGET/irb/api/v1/committee-schedule-minutes/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Committee Schedule Minutes.md"
transfer-encoding: chunkedUpdate Committee Schedule MinutesPUT/irb/api/v1/committee-schedule-minutes/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"commScheduleMinutesId": "(val)",
"scheduleIdFk": "(val)",
"entryNumber": "(val)",
"minuteEntryTypeCode": "(val)",
"protocolIdFk": "(val)",
"protocolNumber": "(val)",
"submissionNumber": "(val)",
"commScheduleActItemsIdFk": "(val)",
"submissionIdFk": "(val)",
"privateCommentFlag": "(val)",
"protocolContingencyCode": "(val)",
"minuteEntry": "(val)",
"finalFlag": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"protocolReviewerIdFk": "(val)",
"protocolOnlineReviewIdFk": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Committee Schedule MinutesPUT/irb/api/v1/committee-schedule-minutes/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"commScheduleMinutesId": "(val)",
"scheduleIdFk": "(val)",
"entryNumber": "(val)",
"minuteEntryTypeCode": "(val)",
"protocolIdFk": "(val)",
"protocolNumber": "(val)",
"submissionNumber": "(val)",
"commScheduleActItemsIdFk": "(val)",
"submissionIdFk": "(val)",
"privateCommentFlag": "(val)",
"protocolContingencyCode": "(val)",
"minuteEntry": "(val)",
"finalFlag": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"protocolReviewerIdFk": "(val)",
"protocolOnlineReviewIdFk": "(val)",
"_primaryKey": "(val)"
},
{
"commScheduleMinutesId": "(val)",
"scheduleIdFk": "(val)",
"entryNumber": "(val)",
"minuteEntryTypeCode": "(val)",
"protocolIdFk": "(val)",
"protocolNumber": "(val)",
"submissionNumber": "(val)",
"commScheduleActItemsIdFk": "(val)",
"submissionIdFk": "(val)",
"privateCommentFlag": "(val)",
"protocolContingencyCode": "(val)",
"minuteEntry": "(val)",
"finalFlag": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"protocolReviewerIdFk": "(val)",
"protocolOnlineReviewIdFk": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Committee Schedule MinutesPATCH/irb/api/v1/committee-schedule-minutes/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"commScheduleMinutesId": "(val)",
"scheduleIdFk": "(val)",
"entryNumber": "(val)",
"minuteEntryTypeCode": "(val)",
"protocolIdFk": "(val)",
"protocolNumber": "(val)",
"submissionNumber": "(val)",
"commScheduleActItemsIdFk": "(val)",
"submissionIdFk": "(val)",
"privateCommentFlag": "(val)",
"protocolContingencyCode": "(val)",
"minuteEntry": "(val)",
"finalFlag": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"protocolReviewerIdFk": "(val)",
"protocolOnlineReviewIdFk": "(val)",
"_primaryKey": "(val)"
}204Body
{
"commScheduleMinutesId": "(val)",
"scheduleIdFk": "(val)",
"entryNumber": "(val)",
"minuteEntryTypeCode": "(val)",
"protocolIdFk": "(val)",
"protocolNumber": "(val)",
"submissionNumber": "(val)",
"commScheduleActItemsIdFk": "(val)",
"submissionIdFk": "(val)",
"privateCommentFlag": "(val)",
"protocolContingencyCode": "(val)",
"minuteEntry": "(val)",
"finalFlag": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"protocolReviewerIdFk": "(val)",
"protocolOnlineReviewIdFk": "(val)",
"_primaryKey": "(val)"
}Insert Committee Schedule MinutesPOST/irb/api/v1/committee-schedule-minutes/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"commScheduleMinutesId": "(val)",
"scheduleIdFk": "(val)",
"entryNumber": "(val)",
"minuteEntryTypeCode": "(val)",
"protocolIdFk": "(val)",
"protocolNumber": "(val)",
"submissionNumber": "(val)",
"commScheduleActItemsIdFk": "(val)",
"submissionIdFk": "(val)",
"privateCommentFlag": "(val)",
"protocolContingencyCode": "(val)",
"minuteEntry": "(val)",
"finalFlag": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"protocolReviewerIdFk": "(val)",
"protocolOnlineReviewIdFk": "(val)",
"_primaryKey": "(val)"
}201Body
{
"commScheduleMinutesId": "(val)",
"scheduleIdFk": "(val)",
"entryNumber": "(val)",
"minuteEntryTypeCode": "(val)",
"protocolIdFk": "(val)",
"protocolNumber": "(val)",
"submissionNumber": "(val)",
"commScheduleActItemsIdFk": "(val)",
"submissionIdFk": "(val)",
"privateCommentFlag": "(val)",
"protocolContingencyCode": "(val)",
"minuteEntry": "(val)",
"finalFlag": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"protocolReviewerIdFk": "(val)",
"protocolOnlineReviewIdFk": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Committee Schedule MinutesPOST/irb/api/v1/committee-schedule-minutes/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"commScheduleMinutesId": "(val)",
"scheduleIdFk": "(val)",
"entryNumber": "(val)",
"minuteEntryTypeCode": "(val)",
"protocolIdFk": "(val)",
"protocolNumber": "(val)",
"submissionNumber": "(val)",
"commScheduleActItemsIdFk": "(val)",
"submissionIdFk": "(val)",
"privateCommentFlag": "(val)",
"protocolContingencyCode": "(val)",
"minuteEntry": "(val)",
"finalFlag": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"protocolReviewerIdFk": "(val)",
"protocolOnlineReviewIdFk": "(val)",
"_primaryKey": "(val)"
},
{
"commScheduleMinutesId": "(val)",
"scheduleIdFk": "(val)",
"entryNumber": "(val)",
"minuteEntryTypeCode": "(val)",
"protocolIdFk": "(val)",
"protocolNumber": "(val)",
"submissionNumber": "(val)",
"commScheduleActItemsIdFk": "(val)",
"submissionIdFk": "(val)",
"privateCommentFlag": "(val)",
"protocolContingencyCode": "(val)",
"minuteEntry": "(val)",
"finalFlag": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"protocolReviewerIdFk": "(val)",
"protocolOnlineReviewIdFk": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"commScheduleMinutesId": "(val)",
"scheduleIdFk": "(val)",
"entryNumber": "(val)",
"minuteEntryTypeCode": "(val)",
"protocolIdFk": "(val)",
"protocolNumber": "(val)",
"submissionNumber": "(val)",
"commScheduleActItemsIdFk": "(val)",
"submissionIdFk": "(val)",
"privateCommentFlag": "(val)",
"protocolContingencyCode": "(val)",
"minuteEntry": "(val)",
"finalFlag": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"protocolReviewerIdFk": "(val)",
"protocolOnlineReviewIdFk": "(val)",
"_primaryKey": "(val)"
},
{
"commScheduleMinutesId": "(val)",
"scheduleIdFk": "(val)",
"entryNumber": "(val)",
"minuteEntryTypeCode": "(val)",
"protocolIdFk": "(val)",
"protocolNumber": "(val)",
"submissionNumber": "(val)",
"commScheduleActItemsIdFk": "(val)",
"submissionIdFk": "(val)",
"privateCommentFlag": "(val)",
"protocolContingencyCode": "(val)",
"minuteEntry": "(val)",
"finalFlag": "(val)",
"createTimestamp": "(val)",
"createUser": "(val)",
"protocolReviewerIdFk": "(val)",
"protocolOnlineReviewIdFk": "(val)",
"_primaryKey": "(val)"
}
]Delete Committee Schedule Minutes by KeyDELETE/irb/api/v1/committee-schedule-minutes/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Committee Schedule MinutesDELETE/irb/api/v1/committee-schedule-minutes/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Committee Schedule Minutes with MatchingDELETE/irb/api/v1/committee-schedule-minutes/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- commScheduleMinutesId
string(optional)Id. Maximum length is 12.
- scheduleIdFk
string(optional)Schedule Id Fk. Maximum length is 12.
- entryNumber
string(optional)Entry Number. Maximum length is 12.
- minuteEntryTypeCode
string(optional)Minute Entry Type Code. Maximum length is 3.
- protocolIdFk
string(optional)Protocol Id Fk. Maximum length is 12.
- protocolNumber
string(optional)- submissionNumber
string(optional)- commScheduleActItemsIdFk
string(optional)CommScheduleActItems Id Fk. Maximum length is 12.
- submissionIdFk
string(optional)Submission Id Fk. Maximum length is 12.
- privateCommentFlag
string(optional)Private Comment Flag. Maximum length is 1.
- protocolContingencyCode
string(optional)Protocol Contingency Code. Maximum length is 4.
- minuteEntry
string(optional)Minute Entry. Maximum length is 4000.
- finalFlag
string(optional)Final Flag. Maximum length is 1.
- createTimestamp
string(optional)Created Time. Maximum length is 21.
- createUser
string(optional)Create User. Maximum length is 80.
- protocolReviewerIdFk
string(optional)Reviewers. Maximum length is 1000.
- protocolOnlineReviewIdFk
string(optional)Protocol Online Review. Maximum length is 1000.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Committee Schedules ¶
Get Committee Schedules by KeyGET/irb/api/v1/committee-schedules/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "(val)",
"scheduleId": "(val)",
"committeeIdFk": "(val)",
"scheduledDate": "(val)",
"place": "(val)",
"time": "(val)",
"protocolSubDeadline": "(val)",
"scheduleStatusCode": "(val)",
"meetingDate": "(val)",
"startTime": "(val)",
"endTime": "(val)",
"agendaProdRevDate": "(val)",
"maxProtocols": "(val)",
"comments": "(val)",
"availableToReviewers": "(val)",
"_primaryKey": "(val)"
}Get All Committee SchedulesGET/irb/api/v1/committee-schedules/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"scheduleId": "(val)",
"committeeIdFk": "(val)",
"scheduledDate": "(val)",
"place": "(val)",
"time": "(val)",
"protocolSubDeadline": "(val)",
"scheduleStatusCode": "(val)",
"meetingDate": "(val)",
"startTime": "(val)",
"endTime": "(val)",
"agendaProdRevDate": "(val)",
"maxProtocols": "(val)",
"comments": "(val)",
"availableToReviewers": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"scheduleId": "(val)",
"committeeIdFk": "(val)",
"scheduledDate": "(val)",
"place": "(val)",
"time": "(val)",
"protocolSubDeadline": "(val)",
"scheduleStatusCode": "(val)",
"meetingDate": "(val)",
"startTime": "(val)",
"endTime": "(val)",
"agendaProdRevDate": "(val)",
"maxProtocols": "(val)",
"comments": "(val)",
"availableToReviewers": "(val)",
"_primaryKey": "(val)"
}
]Get All Committee Schedules with FilteringGET/irb/api/v1/committee-schedules/
Example URI
- id
string(optional)Id. Maximum length is 12.
- scheduleId
string(optional)Schedule Id. Maximum length is 10.
- committeeIdFk
string(optional)Committee Id. Maximum length is 12.
- scheduledDate
string(optional)Scheduled Date. Maximum length is 10.
- place
string(optional)Place. Maximum length is 200.
- time
string(optional)Time. Maximum length is 10.
- protocolSubDeadline
string(optional)Protocol Sub Deadline. Maximum length is 10.
- scheduleStatusCode
string(optional)Schedule Status Code. Maximum length is 3.
- meetingDate
string(optional)Meeting Date. Maximum length is 21.
- startTime
string(optional)Start Time. Maximum length is 10.
- endTime
string(optional)End Time. Maximum length is 10.
- agendaProdRevDate
string(optional)Agenda Prod Rev Date. Maximum length is 21.
- maxProtocols
string(optional)Max Protocols. Maximum length is 4.
- comments
string(optional)Comments. Maximum length is 2000.
- availableToReviewers
string(optional)Available to reviewers. Maximum length is 1.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"scheduleId": "(val)",
"committeeIdFk": "(val)",
"scheduledDate": "(val)",
"place": "(val)",
"time": "(val)",
"protocolSubDeadline": "(val)",
"scheduleStatusCode": "(val)",
"meetingDate": "(val)",
"startTime": "(val)",
"endTime": "(val)",
"agendaProdRevDate": "(val)",
"maxProtocols": "(val)",
"comments": "(val)",
"availableToReviewers": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"scheduleId": "(val)",
"committeeIdFk": "(val)",
"scheduledDate": "(val)",
"place": "(val)",
"time": "(val)",
"protocolSubDeadline": "(val)",
"scheduleStatusCode": "(val)",
"meetingDate": "(val)",
"startTime": "(val)",
"endTime": "(val)",
"agendaProdRevDate": "(val)",
"maxProtocols": "(val)",
"comments": "(val)",
"availableToReviewers": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Committee SchedulesGET/irb/api/v1/committee-schedules/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"id",
"scheduleId",
"committeeIdFk",
"scheduledDate",
"place",
"time",
"protocolSubDeadline",
"scheduleStatusCode",
"meetingDate",
"startTime",
"endTime",
"agendaProdRevDate",
"maxProtocols",
"comments",
"availableToReviewers"
],
"primaryKey": "id"
}Get Blueprint API specification for Committee SchedulesGET/irb/api/v1/committee-schedules/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Committee Schedules.md"
transfer-encoding: chunkedUpdate Committee SchedulesPUT/irb/api/v1/committee-schedules/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"scheduleId": "(val)",
"committeeIdFk": "(val)",
"scheduledDate": "(val)",
"place": "(val)",
"time": "(val)",
"protocolSubDeadline": "(val)",
"scheduleStatusCode": "(val)",
"meetingDate": "(val)",
"startTime": "(val)",
"endTime": "(val)",
"agendaProdRevDate": "(val)",
"maxProtocols": "(val)",
"comments": "(val)",
"availableToReviewers": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Committee SchedulesPUT/irb/api/v1/committee-schedules/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"scheduleId": "(val)",
"committeeIdFk": "(val)",
"scheduledDate": "(val)",
"place": "(val)",
"time": "(val)",
"protocolSubDeadline": "(val)",
"scheduleStatusCode": "(val)",
"meetingDate": "(val)",
"startTime": "(val)",
"endTime": "(val)",
"agendaProdRevDate": "(val)",
"maxProtocols": "(val)",
"comments": "(val)",
"availableToReviewers": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"scheduleId": "(val)",
"committeeIdFk": "(val)",
"scheduledDate": "(val)",
"place": "(val)",
"time": "(val)",
"protocolSubDeadline": "(val)",
"scheduleStatusCode": "(val)",
"meetingDate": "(val)",
"startTime": "(val)",
"endTime": "(val)",
"agendaProdRevDate": "(val)",
"maxProtocols": "(val)",
"comments": "(val)",
"availableToReviewers": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Committee SchedulesPATCH/irb/api/v1/committee-schedules/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"scheduleId": "(val)",
"committeeIdFk": "(val)",
"scheduledDate": "(val)",
"place": "(val)",
"time": "(val)",
"protocolSubDeadline": "(val)",
"scheduleStatusCode": "(val)",
"meetingDate": "(val)",
"startTime": "(val)",
"endTime": "(val)",
"agendaProdRevDate": "(val)",
"maxProtocols": "(val)",
"comments": "(val)",
"availableToReviewers": "(val)",
"_primaryKey": "(val)"
}204Body
{
"id": "(val)",
"scheduleId": "(val)",
"committeeIdFk": "(val)",
"scheduledDate": "(val)",
"place": "(val)",
"time": "(val)",
"protocolSubDeadline": "(val)",
"scheduleStatusCode": "(val)",
"meetingDate": "(val)",
"startTime": "(val)",
"endTime": "(val)",
"agendaProdRevDate": "(val)",
"maxProtocols": "(val)",
"comments": "(val)",
"availableToReviewers": "(val)",
"_primaryKey": "(val)"
}Insert Committee SchedulesPOST/irb/api/v1/committee-schedules/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"id": "(val)",
"scheduleId": "(val)",
"committeeIdFk": "(val)",
"scheduledDate": "(val)",
"place": "(val)",
"time": "(val)",
"protocolSubDeadline": "(val)",
"scheduleStatusCode": "(val)",
"meetingDate": "(val)",
"startTime": "(val)",
"endTime": "(val)",
"agendaProdRevDate": "(val)",
"maxProtocols": "(val)",
"comments": "(val)",
"availableToReviewers": "(val)",
"_primaryKey": "(val)"
}201Body
{
"id": "(val)",
"scheduleId": "(val)",
"committeeIdFk": "(val)",
"scheduledDate": "(val)",
"place": "(val)",
"time": "(val)",
"protocolSubDeadline": "(val)",
"scheduleStatusCode": "(val)",
"meetingDate": "(val)",
"startTime": "(val)",
"endTime": "(val)",
"agendaProdRevDate": "(val)",
"maxProtocols": "(val)",
"comments": "(val)",
"availableToReviewers": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Committee SchedulesPOST/irb/api/v1/committee-schedules/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"id": "(val)",
"scheduleId": "(val)",
"committeeIdFk": "(val)",
"scheduledDate": "(val)",
"place": "(val)",
"time": "(val)",
"protocolSubDeadline": "(val)",
"scheduleStatusCode": "(val)",
"meetingDate": "(val)",
"startTime": "(val)",
"endTime": "(val)",
"agendaProdRevDate": "(val)",
"maxProtocols": "(val)",
"comments": "(val)",
"availableToReviewers": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"scheduleId": "(val)",
"committeeIdFk": "(val)",
"scheduledDate": "(val)",
"place": "(val)",
"time": "(val)",
"protocolSubDeadline": "(val)",
"scheduleStatusCode": "(val)",
"meetingDate": "(val)",
"startTime": "(val)",
"endTime": "(val)",
"agendaProdRevDate": "(val)",
"maxProtocols": "(val)",
"comments": "(val)",
"availableToReviewers": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"id": "(val)",
"scheduleId": "(val)",
"committeeIdFk": "(val)",
"scheduledDate": "(val)",
"place": "(val)",
"time": "(val)",
"protocolSubDeadline": "(val)",
"scheduleStatusCode": "(val)",
"meetingDate": "(val)",
"startTime": "(val)",
"endTime": "(val)",
"agendaProdRevDate": "(val)",
"maxProtocols": "(val)",
"comments": "(val)",
"availableToReviewers": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"scheduleId": "(val)",
"committeeIdFk": "(val)",
"scheduledDate": "(val)",
"place": "(val)",
"time": "(val)",
"protocolSubDeadline": "(val)",
"scheduleStatusCode": "(val)",
"meetingDate": "(val)",
"startTime": "(val)",
"endTime": "(val)",
"agendaProdRevDate": "(val)",
"maxProtocols": "(val)",
"comments": "(val)",
"availableToReviewers": "(val)",
"_primaryKey": "(val)"
}
]Delete Committee Schedules by KeyDELETE/irb/api/v1/committee-schedules/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Committee SchedulesDELETE/irb/api/v1/committee-schedules/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Committee Schedules with MatchingDELETE/irb/api/v1/committee-schedules/
Example URI
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- id
string(optional)Id. Maximum length is 12.
- scheduleId
string(optional)Schedule Id. Maximum length is 10.
- committeeIdFk
string(optional)Committee Id. Maximum length is 12.
- scheduledDate
string(optional)Scheduled Date. Maximum length is 10.
- place
string(optional)Place. Maximum length is 200.
- time
string(optional)Time. Maximum length is 10.
- protocolSubDeadline
string(optional)Protocol Sub Deadline. Maximum length is 10.
- scheduleStatusCode
string(optional)Schedule Status Code. Maximum length is 3.
- meetingDate
string(optional)Meeting Date. Maximum length is 21.
- startTime
string(optional)Start Time. Maximum length is 10.
- endTime
string(optional)End Time. Maximum length is 10.
- agendaProdRevDate
string(optional)Agenda Prod Rev Date. Maximum length is 21.
- maxProtocols
string(optional)Max Protocols. Maximum length is 4.
- comments
string(optional)Comments. Maximum length is 2000.
- availableToReviewers
string(optional)Available to reviewers. Maximum length is 1.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Committees ¶
Get Committees by KeyGET/irb/api/v1/committees/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"id": "(val)",
"committeeId": "(val)",
"sequenceNumber": "(val)",
"committeeName": "(val)",
"homeUnitNumber": "(val)",
"committeeDescription": "(val)",
"scheduleDescription": "(val)",
"committeeTypeCode": "(val)",
"minimumMembersRequired": "(val)",
"maxProtocols": "(val)",
"advancedSubmissionDaysRequired": "(val)",
"reviewTypeCode": "(val)",
"committeeDocument.documentNumber": "(val)",
"_primaryKey": "(val)"
}Get All CommitteesGET/irb/api/v1/committees/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"committeeId": "(val)",
"sequenceNumber": "(val)",
"committeeName": "(val)",
"homeUnitNumber": "(val)",
"committeeDescription": "(val)",
"scheduleDescription": "(val)",
"committeeTypeCode": "(val)",
"minimumMembersRequired": "(val)",
"maxProtocols": "(val)",
"advancedSubmissionDaysRequired": "(val)",
"reviewTypeCode": "(val)",
"committeeDocument.documentNumber": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"committeeId": "(val)",
"sequenceNumber": "(val)",
"committeeName": "(val)",
"homeUnitNumber": "(val)",
"committeeDescription": "(val)",
"scheduleDescription": "(val)",
"committeeTypeCode": "(val)",
"minimumMembersRequired": "(val)",
"maxProtocols": "(val)",
"advancedSubmissionDaysRequired": "(val)",
"reviewTypeCode": "(val)",
"committeeDocument.documentNumber": "(val)",
"_primaryKey": "(val)"
}
]Get All Committees with FilteringGET/irb/api/v1/committees/
Example URI
- id
string(optional)- committeeId
string(optional)Committee ID. Maximum length is 15.
- sequenceNumber
string(optional)- committeeName
string(optional)Committee Name. Maximum length is 60.
- homeUnitNumber
string(optional)Home Unit. Maximum length is 8.
- committeeDescription
string(optional)Committee Description. Maximum length is 2000.
- scheduleDescription
string(optional)Schedule Description. Maximum length is 2000.
- committeeTypeCode
string(optional)The type of committee. Maximum length is 3.
- minimumMembersRequired
string(optional)Min Members for Quorum. Maximum length is 3.
- maxProtocols
string(optional)Maximum Protocols. Maximum length is 4.
- advancedSubmissionDaysRequired
string(optional)Adv Submission Days. Maximum length is 3.
- reviewTypeCode
string(optional)The type of review. Maximum length is 3.
- coiReviewTypeCode
string(optional)The type of COI review. Maximum length is 3.
- committeeDocument.documentNumber
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"id": "(val)",
"committeeId": "(val)",
"sequenceNumber": "(val)",
"committeeName": "(val)",
"homeUnitNumber": "(val)",
"committeeDescription": "(val)",
"scheduleDescription": "(val)",
"committeeTypeCode": "(val)",
"minimumMembersRequired": "(val)",
"maxProtocols": "(val)",
"advancedSubmissionDaysRequired": "(val)",
"reviewTypeCode": "(val)",
"committeeDocument.documentNumber": "(val)",
"_primaryKey": "(val)"
},
{
"id": "(val)",
"committeeId": "(val)",
"sequenceNumber": "(val)",
"committeeName": "(val)",
"homeUnitNumber": "(val)",
"committeeDescription": "(val)",
"scheduleDescription": "(val)",
"committeeTypeCode": "(val)",
"minimumMembersRequired": "(val)",
"maxProtocols": "(val)",
"advancedSubmissionDaysRequired": "(val)",
"reviewTypeCode": "(val)",
"committeeDocument.documentNumber": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for CommitteesGET/irb/api/v1/committees/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"id",
"committeeId",
"sequenceNumber",
"committeeName",
"homeUnitNumber",
"committeeDescription",
"scheduleDescription",
"committeeTypeCode",
"minimumMembersRequired",
"maxProtocols",
"advancedSubmissionDaysRequired",
"reviewTypeCode",
"committeeDocument.documentNumber"
],
"primaryKey": "id"
}Get Blueprint API specification for CommitteesGET/irb/api/v1/committees/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Committees.md"
transfer-encoding: chunkedCorrespondent Types ¶
Get Correspondent Types by KeyGET/irb/api/v1/correspondent-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"correspondentTypeCode": "(val)",
"description": "(val)",
"qualifier": "(val)",
"_primaryKey": "(val)"
}Get All Correspondent TypesGET/irb/api/v1/correspondent-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"correspondentTypeCode": "(val)",
"description": "(val)",
"qualifier": "(val)",
"_primaryKey": "(val)"
},
{
"correspondentTypeCode": "(val)",
"description": "(val)",
"qualifier": "(val)",
"_primaryKey": "(val)"
}
]Get All Correspondent Types with FilteringGET/irb/api/v1/correspondent-types/
Example URI
- correspondentTypeCode
string(optional)Correspondent Type Code. Maximum length is 3.
- description
string(optional)Description. Maximum length is 200.
- qualifier
string(optional)Qualifier. Maximum length is 1.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
[
{
"correspondentTypeCode": "(val)",
"description": "(val)",
"qualifier": "(val)",
"_primaryKey": "(val)"
},
{
[...]
